### Class

# FwupdPlugin BiosSettings

#### Description

    final class FwupdPlugin.BiosSettings : GObject.Object
      implements Fwupd.Codec {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- FwupdCodec

#### Constructors

###### fu_bios_settings_new

No description available.

since: 1.8.4

#### Instance methods

###### fu_bios_settings_add_attribute

No description available.

###### fu_bios_settings_get_all

Gets all the attributes in the object.

since: 1.8.4

###### fu_bios_settings_get_attr

No description available.

since: 1.8.4

###### fu_bios_settings_get_pending_reboot

Determines if the system will apply changes to attributes upon reboot.

since: 1.8.4

###### fu_bios_settings_setup

Clears all attributes and re-initializes them. Mostly used for the test suite, but could potentially be connected to udev events for drivers being loaded or unloaded too.

since: 1.8.4

###### fu_bios_settings_to_hash_kv

Creates a `GHashTable` with the name and current value of all BIOS settings.

since: 1.8.4

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FwupdCodec (8)

###### fwupd_codec_add_string

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

###### fwupd_codec_from_json

Converts an object that implements `FwupdCodec` from a JSON object.

###### fwupd_codec_from_json_string

Converts an object that implements `FwupdCodec` from a JSON string.

###### fwupd_codec_from_variant

Converts an object that implements `FwupdCodec` from a `GVariant` value.

###### fwupd_codec_to_json

Converts an object that implements `FwupdCodec` to a JSON builder object.

###### fwupd_codec_to_json_string

Converts an object that implements `FwupdCodec` to a JSON string.

###### fwupd_codec_to_string

Converts an object that implements `FwupdCodec` to a debug string.

###### fwupd_codec_to_variant

Converts an object that implements `FwupdCodec` to a `GVariant`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginBiosSettingsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.